Get outbound multipart upload status
curl --request GET \
--url https://api.sftpsync.io/outbound/uploads/{uploadId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sftpsync.io/outbound/uploads/{uploadId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sftpsync.io/outbound/uploads/{uploadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uploadId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "uploading",
"connectionName": "Acme Corp",
"clientName": "Acme Corp",
"pipelineName": "employee-sync",
"filename": "employees.json",
"totalParts": 3,
"uploadedParts": 2,
"uploadedPartNumbers": [
1,
2
],
"createdAt": "2026-03-01T12:00:00.000Z",
"updatedAt": "2026-03-01T12:01:00.000Z"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}Outbound Uploads
Get outbound multipart upload status
Returns the current state of an upload session including which parts have been uploaded.
GET
/
outbound
/
uploads
/
{uploadId}
Get outbound multipart upload status
Authorizations
Path Parameters
Response
Upload status
Available options:
initiated, uploading, completed, aborted The connection's human-readable name.
Deprecated: use connectionName. Mirrors connectionName.